ноября 17, 2019, 11:37:18

Новости:

Перейти на сайт https://xubuntu-ru.net


тестирование xfce 4.10

Автор xf∞, апреля 30, 2012, 10:02:45

« предыдущая - следующая »

xf∞

апреля 30, 2012, 10:02:45 Последнее редактирование: апреля 30, 2012, 10:05:43 от xf∞
Я решил не ждать, пока появятся сборки xfce 4.10 от команды разработчиков xubuntu, и собрал всё сам.
Теперь вот решил с вами поделиться.
В домашнем каталоге создаём папку xfce (или любую другую, главное - чтобы не было пробелов и спецсимволов и название было на английском). Скачиваем архив, распаковываем его в папку xfce. Поочереди заходим в каждую папку. Там открываем терминал и пишем:
make && sudo make install.
если будут какие-то ошибки - пишите здесь.
очерёдность установки пакетов такая:

  • libxfce4util

  • xfconf

  • libxfce4ui, garcon

  • exo

  • xfce4-panel

  • thunar

  • xfce4-settings, xfce4-session, xfdesktop, xfwm4, xfce4-appfinder

  • thumbler, xfce4-powermanager, goodies


Насчёт goodies могу сказать, что апплет погоды у меня не поставился из-за старых зависимостей.

После того, как всё поставите, желательно перезагрузиться или выйти из системы, затем зайти в неё. Если появится такая проблема, что в диспетчере настроек не будет пунктов меню, нужно:
отредактировать файл
sudo leafpad /etc/ld.so.conf.d/i686-linux-gnu.conf
и прописать в самое начало файла /usr/local/lib
затем нужно выполнить команду
sudo ldconfig

Если тесты пройдут успешно, можно будет опубликовать на сайте.
Делаю нескучные обои и рисую темы для xfce.

butjapka

У меня не собирается. Xubuntu 12.04 на боорту. Все обновления до актуальных версий пакетов выполнены.
Ввожу команды
./configure
make
sudo make install

Выполняется только ./configure и выход
[spoiler]*** The required package glib-2.0 was not found on your system.
*** Please install glib-2.0 (atleast version 2.24.0) or adjust
*** the PKG_CONFIG_PATH environment variable if you
*** installed the package in a nonstandard prefix so that
*** pkg-config is able to find it.
[/spoiler]
glib-2.0 установлен.
[spoiler]sudo apt-get install glib-2.0
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Заметьте, выбирается «libspice-client-glib-2.0-1» для регулярного выражения «glib-2.0»
Заметьте, выбирается «libspice-client-glib-2.0-4» для регулярного выражения «glib-2.0»
Заметьте, выбирается «gobject-introspection-glib-2.0» для регулярного выражения «glib-2.0»
Заметьте, выбирается «libqtglib-2.0-0» для регулярного выражения «glib-2.0»
Заметьте, выбирается «libspice-client-glib-2.0-dev» для регулярного выражения «glib-2.0»
Заметьте, выбирается «gir1.2-glib-2.0» для регулярного выражения «glib-2.0»
Заметьте, выбирается «gir1.2-spice-client-glib-2.0» для регулярного выражения «glib-2.0»
Заметьте, выбирается «gir1.0-glib-2.0» для регулярного выражения «glib-2.0»
Уже установлена самая новая версия gir1.2-glib-2.0.
Уже установлена самая новая версия libqtglib-2.0-0.
Уже установлена самая новая версия gir1.2-spice-client-glib-2.0.
Уже установлена самая новая версия libspice-client-glib-2.0-1.
Уже установлена самая новая версия libspice-client-glib-2.0-dev.
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
[/spoiler]


xf∞

зачем вы ./configure писали?
моя конфигурация ведь сотрётся. попробуйте ещё раз без ./configure
если хотите собрать сами, то вам нужно ставить разные пакеты. причём, если он говорит вам, что нужен один пакет, то скорее всего нужен пакет с приставкой dev. вроде glib-dev. и так далее. у меня уже всё сконфигурировано, опции по максимому включены(те же тайлы, те же превьюшки картинок) я просто хочу проверить, будет на другой машине работать.
Делаю нескучные обои и рисую темы для xfce.

butjapka

скачал заново архив
по команде make останов, ошибка

[spoiler]michael@michael-desktop:~/1/xfce4.10/libxfce4util-4.10.0$ make
make  all-recursive
make[1]: Вход в каталог `/home/michael/1/xfce4.10/libxfce4util-4.10.0'
Making all in libxfce4util
make[2]: Вход в каталог `/home/michael/1/xfce4.10/libxfce4util-4.10.0/libxfce4util'
make  all-am
make[3]: Вход в каталог `/home/michael/1/xfce4.10/libxfce4util-4.10.0/libxfce4util'
  CC     libxfce4util_la-libxfce4util-aliasdef.lo
libxfce4util-aliasdef.c:5:18: fatal error: glib.h: No such file or directory
compilation terminated.
make[3]: *** [libxfce4util_la-libxfce4util-aliasdef.lo] Ошибка 1
make[3]: Выход из каталога `/home/michael/1/xfce4.10/libxfce4util-4.10.0/libxfce4util'
make[2]: *** [all] Ошибка 2
make[2]: Выход из каталога `/home/michael/1/xfce4.10/libxfce4util-4.10.0/libxfce4util'
make[1]: *** [all-recursive] Ошибка 1
make[1]: Выход из каталога `/home/michael/1/xfce4.10/libxfce4util-4.10.0'
make: *** [all] Ошибка 2
[/spoiler]

xf∞

ну, тогда только: ждать, пока я пойму как делать deb-пакеты, ждать выхода офифциального релиза из ppa, компилить самому.
Делаю нескучные обои и рисую темы для xfce.

butjapka

мая 02, 2012, 13:10:20 #5 Последнее редактирование: мая 02, 2012, 15:12:39 от butjapka
Сегодня скомпилил в VirtualBox.
1. Прeдварительно установил следующие пакеты + их зависимости:
sudo apt-get install intltool libglib2.0-dev libdbus-glib-1-dev libdbus-1-dev dbus-1-dbg libextutils-depends-perl libextutils-pkgconfig-perl gtk2.0-examples libgladeui-2-0 libwnck-3-dev libwnck-dev libnotify-dev
Насчет пакетов

dbus-1-dbg libwnck-3-dev  не уверен, нужны они вообще или нет, но на всякий случай поставил.

2. Скачал с оффсайта архив с исходниками, распаковал. Начал компилить по инструкции (порядок установки модулей см. в первом посте), заходя в каждую папку выполнял

./configure
make
sudo make install


Единственное после перезагрузки пропали панели. Но так думаю может запарился и забыл после команд ./config и make сделать make install при компиляции модуля xfce4-panel. Но после повторной процедуры компиляции модуля xfce4-panel и перезагрузки панели появились.
Как доберусь до реального железа, попробую собрать там. О результатах отпишусь.

Скриншот:

xf∞

просто набирать ./configure - это хорошо, но вы не всё получите.
если уж конфигурировать, то тогда включать свои опции. например, можно включить gnome-keyring, ssh, ещё вроде чего было.
какие опции есть можно посмотреть по ./configure --help. или если что касается только опций, то ./configure --help=short
с другой стороны, если ничего не указывать, то соберётся быстрее и пакетов меньше ставить надо.

dbus-1-dbg нужен для отладки, а libwnck-3-dev я ставил. он скорее всего нужен, чтобы включить какую-то опцию.

я думаю, пока мы тут пытаемся что-то сделать, поставить, команда уже всё соберёт.
кому было надо уже скачал и поставил или попросил поставить.


Теперь насчёт тестирования: даже на моём неслабеньком ноуте заметил, что быстродействие улучшили. раньше нажмёшь на открытие папки и секунду ждёшь. теперь если ту же папку открываю, то в 2-3 раза быстрее окно тунара появляется.
Делаю нескучные обои и рисую темы для xfce.

butjapka

мая 03, 2012, 07:28:09 #7 Последнее редактирование: мая 03, 2012, 10:36:25 от butjapka
На реальном железе собрал, но после установки многие дополнения на панели перестали отображаться, хотя в системе установлены. Меню настроек в диспетчере так и не появилось, хотя и воспользовался советом выше.. Был не внимателен. Прописывать нжно ведь в самое НАЧАЛО файла, а не в конец, как сделал я.  Другие косяки не успел пока отследить. Но думаю целесообразней все таки ждать ppa от разработчиков, и обновляться от туда.
Да и при сборке модулей терминал лучше не закрывать. Т.к. после сборки модуля exo-0.8.0 терминал совсем отказывался запускаться. Хорошо что окно осталось открытым. Переходил в папки сборки через команду cd путь к пакету Осталось настроить еще смену раскладки клавиатуры, но теперь придется руками (пункта меню нет). Этот пункт тоже отпадает, т.к. удалось настроить меню диспетчера настроек и установить плагин индикатора раскладки клавиатуры
в /etc/default/keyboard
    XKBMODEL="pc105"
    XKBLAYOUT="us,ru"
    XKBVARIANT=","
    XKBOPTIONS="grp:ctrl_shift_toggle,grp_led:scroll"

Затем в терминале
sudo udevadm trigger --subsystem-match=input --action=change

С плагинами на панели разобрался, прочитал эту рекомендацию, действительно, скачал необходимый плагин с сайта goodies.xfce.org, собрал из исходников, и плагин появился в меню. Теперь пилить дальше, добавлять регулятор громкости...

xf∞

Ну это потому, что многие пакеты установлены через deb, а это можно сказать частная сборка. на хабре почитал, что получается каша, если отдельно ставить.
я когда компилил, у меня два терминала было открыто: в одном читал справку, в другом собирал. и да, терминалы я вообще не закрывал.
плагин погоды работает, хотя на 4,8 уже переставленный, обновлённый со временем перестал работать.
вот апплет липкие записки, которые нативные, перестали запоминать расположение и вообще конфигурацию заметок.
странно, что все апплеты убрали и закинули в трей. сначала они не работали, но после запуска из меню, стали загружаться после включения системы.

с регулятором громкости - да. там проблемы. чтобы его поставить нужен пакет xfce-utils вроде, а он не хочет ставиться, т.к. там зависимости не удовлетворяются.
Делаю нескучные обои и рисую темы для xfce.

butjapka

мая 11, 2012, 07:18:13 #9 Последнее редактирование: мая 11, 2012, 07:53:57 от butjapka
Кстати появились пакеты в официальном репозитарии!. Обновляться лучше с него
sudo add-apt-repository ppa:xubuntu-dev/xfce-4.10
sudo apt-get update
На работе обновился с него удачно + плюшки все в комплекте...

nikolaich

Цитата: butjapka от мая 11, 2012, 07:18:13
Кстати появились пакеты в официальном репозитарии!. Обновляться лучше с него
sudo add-apt-repository ppa:xubuntu-dev/xfce-4.10
sudo apt-get update
На работе обновился с него удачно + плюшки все в комплекте...

Воспользовался твоим советом и обновился.Пока багов не выявлено.Работает реально быстрее.Будем пользовать дальше.

Александр50

Привет! Обновился на xfce4.10, у меня верхняя панель все значк сползли влево, как исправить?

xf∞

открыть свойства панели, найти нужный разделитель и поставить галочку "расширять"
Делаю нескучные обои и рисую темы для xfce.

Александр50

сентября 28, 2012, 19:37:24 #13 Последнее редактирование: октября 01, 2012, 08:56:49 от butjapka
Цитата: xf∞ от сентября 28, 2012, 18:54:37
открыть свойства панели, найти нужный разделитель и поставить галочку "расширять"

Там ни чего подобного нет! Уже всяко пробовал. Гл в инете такую же проблему, искал сейчас, не нашёл. Так будет всё смещённое в одну сторону. :(

Труба Шатал

мянуточку!
шука от железа ведь не зависит, точно не зависит
но получается что на разных дистрибутивах апплет "свойствва окон" ведёт себя по разному.
очень странно.
вот если он стоит последнем в списке апплеов отображаемых на панели, как у меня, при этом стоит галочка в настройках "автоматическии увеличивать длину"
проблемы не наблюдается.
может важен порядок расположения апплетов?